#ifndef CONTROLVERIFYCLOCKWIDGET_H
#define CONTROLVERIFYCLOCKWIDGET_H

#include <QWidget>
#include <wDevicesManager/ledcard.h>
#include <communication/hpptclient.h>
#include <LoUIClass/loemptydialog.h>
namespace Ui {
class ControlVerifyClockWidget;
}

class ControlVerifyClockWidget : public QWidget
{
    Q_OBJECT

public:
    explicit ControlVerifyClockWidget(QWidget *parent = nullptr,QList<LedCard *> *m_pLedlist=nullptr);
    ~ControlVerifyClockWidget();
private:
    Ui::ControlVerifyClockWidget *ui;
    QString formatTime(int ms);
protected slots:
    void OnSetNtp();
    void OnSetSync();
    void refreshLable();
    void OnSetSyncToCpt();
    void OnReadbackNtp();
    void OnRadioButton();
    void OnRadioButton2();
    void OnRadioButton3();
    void OnRadioButton6();
    void OnReadbackSyncInfo();
    void OnSetLoraMaster();
    void OnReadbackLoraMaster();
    void OnReadbackCurTimeOfController();
    void OnSetTimeZone();

    //类似的控制操作信号和槽函数和变量定义
    signals:
        void sigSend(QJsonObject &,QString);
    protected slots:
        void DeletePostingDlg();
        void OnProHttpResponse(QString url, QString postMD5, QByteArray data);
        void OnProHttpResponseAll(QString url, QString postMD5, QByteArray data);
        void onSelectedDeviceList(QList<LedCard*> *);
        void onReadbackAllThisPage();
        void OnControlTypeSwitchIndexChanged(int index);
    private:
        QList<LedCard *> *m_pLedlist=nullptr;
        LedCard   *m_pLedCard = nullptr;
        LedCard   *m_oldLedlist = nullptr;
        HpptClient *pHpptClient = nullptr;
        HpptClient *pHpptClientAll = nullptr;
        QString m_strUrl="";
        LoEmptyDialog * m_PostingDlg=nullptr;
        QTimer *m_pGetAskTimer=nullptr;
        bool m_bSelected=false;
        void initTimezone();

};

#endif // CONTROLVERIFYCLOCKWIDGET_H
